package com.example.mynotepad;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.Gravity;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

import com.example.mynotepad.Menu.CustomMenu;

public class MainActivity extends AppCompatActivity implements View.OnClickListener{

    ImageView toolbarListImg;
    CustomMenu customMenu;
    TextView wlcTxt;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        init();
        setWlcTxt();
    }

    private void setWlcTxt() {
        //ToDo with shared Prefrences in setting
        //if () else()
        wlcTxt.setText("welcome :)");
        wlcTxt.setTextSize(30);
        wlcTxt.setGravity(Gravity.CENTER);
    }

    private void init() {
        customMenu = findViewById(R.id.mainListItem);
        customMenu.setVisibility(customMenu.GONE);
        wlcTxt = findViewById(R.id.wlcTxt);
        toolbarListImg = findViewById(R.id.toolbarList);

        toolbarListImg.setOnClickListener(this);
        findViewById(R.id.main).setOnClickListener(this);
    }


    @Override
    public void onClick(View view) {
        if (view.getId() == toolbarListImg.getId() || customMenu.getId() == view.getId()) {
            customMenu.setVisibility(customMenu.VISIBLE);
        } else if (R.id.main == view.getId()) customMenu.setVisibility(customMenu.GONE);
    }
}