package com.example.mynotepad.MenuFeatures.AllNotes.NotesDataBase;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;
    @Entity
    public class Note {
        @PrimaryKey(autoGenerate = true)
        int ID;
        @ColumnInfo(name = "title")
        String title ;
        @ColumnInfo(name = "description")
        String txtBody;
        @ColumnInfo(name = "achieved")
        boolean isAchieved;

        public Note(String title , String txtBody , boolean isAchieved){
            this.title = title;
            this.txtBody = txtBody;
            this.isAchieved = isAchieved;
        }


        public int getID() {
            return ID;
        }

        public String getTitle() {
            return title;
        }

        public String getDescription() {
            return txtBody;
        }

        public boolean isAchieved(){
            return isAchieved;
        }
}
